package com.iamberry.wechat.core.entity.flow;

import java.util.Date;

/**
 * 返利奖励任务表
 * @author 刘志伟
 *
 */
public class TemplateReward implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -5238485121901520940L;
	
	private Integer rewardId;							//id
	
	private Integer rewardRoleId;					//角色id
	
	private Integer rewardProductType;			//产品类型id
	
	private Integer rewardNum;					//销售数量
	
	private Integer rewardMoney;					//奖励金额
	
	private Integer rewardStatus;					//状态0：禁用，1：启用
	
	private String rewardDesc;						//奖励描述
	
	private Date rewardCreateTime;				//创建时间

	public Integer getRewardId() {
		return rewardId;
	}

	public void setRewardId(Integer rewardId) {
		this.rewardId = rewardId;
	}

	public Integer getRewardRoleId() {
		return rewardRoleId;
	}

	public void setRewardRoleId(Integer rewardRoleId) {
		this.rewardRoleId = rewardRoleId;
	}

	public Integer getRewardProductType() {
		return rewardProductType;
	}

	public void setRewardProductType(Integer rewardProductType) {
		this.rewardProductType = rewardProductType;
	}

	public Integer getRewardNum() {
		return rewardNum;
	}

	public void setRewardNum(Integer rewardNum) {
		this.rewardNum = rewardNum;
	}

	public Integer getRewardMoney() {
		return rewardMoney;
	}

	public void setRewardMoney(Integer rewardMoney) {
		this.rewardMoney = rewardMoney;
	}

	public Integer getRewardStatus() {
		return rewardStatus;
	}

	public void setRewardStatus(Integer rewardStatus) {
		this.rewardStatus = rewardStatus;
	}

	public String getRewardDesc() {
		return rewardDesc;
	}

	public void setRewardDesc(String rewardDesc) {
		this.rewardDesc = rewardDesc;
	}

	public Date getRewardCreateTime() {
		return rewardCreateTime;
	}

	public void setRewardCreateTime(Date rewardCreateTime) {
		this.rewardCreateTime = rewardCreateTime;
	}

}
